######################################################################
#
#   Installation Media Labels
#
#   ------------------------------------------------------------------
#   Name                            Dimension
#   ------------------------------------------------------------------
#   ------------------------------------------------------------------
#
#   The CentOS labels artwork promotes The CentOS Project existence by
#   distributing Cd labels. 
#
#   The artwork related to CentOS labels does include The CentOS Logo
#   and The CentOS Release Number but it doesn't include a description
#   about what CentOS is, nor The CentOS Message.
#
######################################################################

#=====================================================================
# 1. Build branding images.
#=====================================================================

[centos-logo.png]
render-type = "image"
render-from = "${TCAR_BASEDIR}/Models/Branding/0000/168/centos-logo.svg"
render-flow = "extended"
render-as   = "png"
heights     = "48"
fgcolors    = "ffffff"
bgcolors    = "ffffff-0"

[centos-symbol.png]
render-type = "image"
render-from = "${TCAR_BASEDIR}/Models/Branding/0000/168/centos-symbol.svg"
render-flow = "extended"
render-as   = "png"
heights     = "48"
fgcolors    = "ffffff"
bgcolors    = "ffffff-0"

#=====================================================================
# 2. Build background images.
#=====================================================================

[443x443.png]
render-type = "image"
render-from = "${TCAR_WORKDIR}/Motifs/Default/Final/800x600-dusk.png"
command     = "/usr/bin/convert -extract 443x443+0+0 +repage"
brand       = "ffffff-0/ffffff/48/centos-logo.png:x48+96+80"

#=====================================================================
# 3. Build final images.
#=====================================================================

[install-label.png]
render-type     = "image"
render-flow     = "media"
render-from     = "${TCAR_BASEDIR}/Models/Marketing/Installation/install-label.svg"
render-back     = "${TCAR_WORKDIR}/Marketing/Installation/Final/443x443.png"
locale-from     = "${TCAR_BASEDIR}/Models/Marketing/Installation/Locales/${SCRIPT_LANG_LC}/messages.po"
media-type      = "CD*6 DVD*2"
media-release   = "6.0 6.1 6.2 6.3 6.4 6.5"
media-arch      = "i386 x86_64"

#=====================================================================
# 4. Build final tar.gz.
#=====================================================================
