######################################################################
#
#   The CentOS Poster
#
#   ------------------------------------------------------------------
#   Name                            Pixels  Inches
#   ------------------------------------------------------------------
#   poster-720x900.png              720x900 8x10
#   ------------------------------------------------------------------
#
#   The CentOS Poster's images aim to promote The CentOS Project
#   existence in printed media. Generally, these images have saturated
#   background images to grab people's attention but not saturated
#   enough to make textual information set on them unreadable.
#
#   The CentOS Poster includes the CentOS logo, message, description,
#   and URL for more information.
#
######################################################################

#=====================================================================
# Build branding images
#=====================================================================
[centos-logo.png]
render-type = "image"
render-flow = "extended"
render-from = "${TCAR_BASEDIR}/Models/Branding/0000/168/centos-logo-vertical-left.svg"
render-as   = "png"
heights     = "260"
fgcolors    = "ffffff"
bgcolors    = "ffffff-0"

#=====================================================================
# Build images needed to build other images
#=====================================================================
[poster-info.png]
render-type = "image"
render-from = "${TCAR_BASEDIR}/Models/Marketing/Stationery/poster-info.svg"
locale-from = "${TCAR_BASEDIR}/Models/Marketing/Stationery/Locales/${SCRIPT_LANG_LC}/messages.po"
brand       = "${TCAR_WORKDIR}/Marketing/Stationery/Final/ffffff-0/ffffff/260/centos-logo.png:x260+0+30"

[720x900-blue.png]
render-type = "image"
render-from = "${TCAR_WORKDIR}/Motifs/Default/Final/1360x768-dusk-saturated.png"
command     = "/usr/bin/convert -extract 900x720+0+48 -rotate -90 +repage"

[720x900-orange.png]
render-type = "image"
render-from = "${TCAR_WORKDIR}/Motifs/Default/Final/Orange/1360x768-dusk-saturated.png"
command     = "/usr/bin/convert -extract 900x720+0+48 -rotate -90 +repage"

[720x900-green.png]
render-type = "image"
render-from = "${TCAR_WORKDIR}/Motifs/Default/Final/Green/1360x768-dusk-saturated.png"
command     = "/usr/bin/convert -extract 900x720+0+48 -rotate -90 +repage"

[720x900-purple.png]
render-type = "image"
render-from = "${TCAR_WORKDIR}/Motifs/Default/Final/Purple/1360x768-dusk-saturated.png"
command     = "/usr/bin/convert -extract 900x720+0+48 -rotate -90 +repage"

#=====================================================================
# Build final images
#=====================================================================
[poster-720x900-blue.png]
render-type = "image"
render-from = "${TCAR_WORKDIR}/Marketing/Stationery/Final/720x900-blue.png"
render-dir  = "${TCAR_WORKDIR}/Marketing/Stationery/Final/${SCRIPT_LANG_LC}"
render-as   = "png jpg tif eps"
brand       = "${TCAR_WORKDIR}/Marketing/Stationery/Final/${SCRIPT_LANG_LC}/poster-info.png:x567+90+300"

[poster-720x900-orange.png]
render-type = "image"
render-from = "${TCAR_WORKDIR}/Marketing/Stationery/Final/720x900-orange.png"
render-dir  = "${TCAR_WORKDIR}/Marketing/Stationery/Final/${SCRIPT_LANG_LC}"
render-as   = "png jpg tif eps"
brand       = "${TCAR_WORKDIR}/Marketing/Stationery/Final/${SCRIPT_LANG_LC}/poster-info.png:x567+90+300"

[poster-720x900-green.png]
render-type = "image"
render-from = "${TCAR_WORKDIR}/Marketing/Stationery/Final/720x900-green.png"
render-dir  = "${TCAR_WORKDIR}/Marketing/Stationery/Final/${SCRIPT_LANG_LC}"
render-as   = "png jpg tif eps"
brand       = "${TCAR_WORKDIR}/Marketing/Stationery/Final/${SCRIPT_LANG_LC}/poster-info.png:x567+90+300"

[poster-720x900-purple.png]
render-type = "image"
render-from = "${TCAR_WORKDIR}/Marketing/Stationery/Final/720x900-purple.png"
render-dir  = "${TCAR_WORKDIR}/Marketing/Stationery/Final/${SCRIPT_LANG_LC}"
render-as   = "png jpg tif eps"
brand       = "${TCAR_WORKDIR}/Marketing/Stationery/Final/${SCRIPT_LANG_LC}/poster-info.png:x567+90+300"
